## ros-indigo-jsk-robot-utils 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_robot_utils)

find_package(catkin REQUIRED COMPONENTS
  jsk_network_tools roseus pr2eus rostest)

catkin_package(
  DEPENDS
  CATKIN_DEPENDS roseus pr2eus rostest
)

add_rostest(test/angle_vector_compress.test)
add_rostest(test/joint_state_compressor.test)

install(DIRECTORY euslisp
  DESTINATION
  ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )

=== debian/changelog ===
ros-indigo-jsk-robot-utils (1.1.0-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-jsk-robot-utils (1.0.9-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Tue, 08 Nov 2016 15:00:00 -0000

ros-indigo-jsk-robot-utils (1.0.8-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Mon, 07 Nov 2016 15:00:00 -0000

ros-indigo-jsk-robot-utils (1.0.7-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Tue, 01 Nov 2016 15:00:00 -0000

ros-indigo-jsk-robot-utils (1.0.6-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Jun 2016 15:00:00 -0000

ros-indigo-jsk-robot-utils (1.0.5-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Sun, 17 Apr 2016 15:00:00 -0000

ros-indigo-jsk-robot-utils (1.0.4-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Sun, 20 Mar 2016 15:00:00 -0000

ros-indigo-jsk-robot-utils (1.0.3-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Fri, 04 Mar 2016 15:00:00 -0000

ros-indigo-jsk-robot-utils (1.0.2-1trusty) trusty; urgency=high

  * pr2_description have trouble at this moment https://github.com/PR2/pr2_common/pull/248
  * add jsk_network_tools to find_package to generate roseus messages
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Sat, 13 Feb 2016 15:00:00 -0000

ros-indigo-jsk-robot-utils (1.0.1-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Wed, 18 Nov 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (1.0.0-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.13-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.12-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.11-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Mon, 31 Aug 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.10-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Aug 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.9-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Aug 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.8-1trusty) trusty; urgency=high

  * [jsk_robot_utils] Add jsk_robot_utils package and move script to compress/decompress joint angles from jsk_network_tools to jsk_robot_utils
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Wed, 15 Jul 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.7-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.6-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Apr 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.5-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Tue, 07 Apr 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.4-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 29 Jan 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.3-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Jan 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.2-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-jsk-robot-utils (0.0.1-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Wed, 24 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-jsk-robot-utils
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-joint-state-publisher, ros-indigo-jsk-network-tools, ros-indigo-pr2eus, ros-indigo-roseus, ros-indigo-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-jsk-robot-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-jsk-network-tools, ros-indigo-pr2eus, ros-indigo-roseus, ros-indigo-rostest
Description: jsk_robot_utils

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-robot-utils//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
